Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.accounting
Class AccountEntryImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.axiom.accounting.AccountEntryImpl

public class AccountEntryImpl
extends EntityImpl

An Account Entry is synonymous with a transaction. In most cases it records the movement of an entity from one account to another. In such cases the Account Entry is shared by the two accounts involved in the transaction. In cases where it is associated with a single account it records the entry, or exit, of the entity into, or from, the accounting system. Each AccountEntry includes two separate dates. The booked date is the date on which the transaction was initially recorded. The charged date represents the successful completion of the transaction.

     Primary Key = theory.smart.axiom.accounting.AccountEntryPk

See Also:
  `AccountEntry`, `AccountEntryHome`, `AccountEntryValue`, Serialized Form

Field Summary
`Quantity` | `amount` amount [AccountEntry] <*>------> [`theory.smart.axiom.units.Quantity`]
`java.sql.Date` | `booked` booked [AccountEntry] <*>------> [`java.sql.Date`]
`java.sql.Date` | `charged` charged [AccountEntry] <*>------> [`java.sql.Date`]
`SmartHandle` | `from` from [AccountEntry] <>------> [`theory.smart.axiom.accounting.Account`]
`java.lang.String` | `identifier` identifier [AccountEntry] <*>------> [`String`] (Primary Key)
`java.lang.String` | `memo` memo [AccountEntry] <*>------> [`String`]
`SmartHandle` | `to` to [AccountEntry] <>------> [`theory.smart.axiom.accounting.Account`]

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`AccountEntryImpl()`

Method Summary
`void` | `charge()` Note that at the current date and time the transaction was completed.
`void` | `charge(java.sql.Date date)` Note that at the specified date and time the transaction was completed.
`void` | `ejbActivate()` ejbActivate method.
`AccountEntryPk` | `ejbCreate(AccountEntryPk accountEntryPk)`
`protected void` | `ejbCreateInitVars(AccountEntryPk accountEntryPk)`
`java.util.Enumeration` | `ejbFindAll()`
`AccountEntryPk` | `ejbFindByPrimaryKey(AccountEntryPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(AccountEntryPk accountEntryPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`AccountEntryValue` | `getAccountEntryByValue()` Get all of AccountEntry's attributes.
`Quantity` | `getAmount()` Get the value of amount
`java.sql.Date` | `getBooked()` Get the value of booked
`java.sql.Date` | `getCharged()` Get the value of charged
`Account` | `getFrom()` Get the remote object reference of from
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getMemo()` Get the value of memo
`Account` | `getTo()` Get the remote object reference of to
`void` | `setAccountEntryByValue(AccountEntryValue value)` Set all of AccountEntry's attributes to the passed in value.
`void` | `setAmount(Quantity amount)` Set the value of amount
`void` | `setBooked(java.sql.Date booked)` Set the value of booked
`void` | `setCharged(java.sql.Date charged)` Set the value of charged
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setFrom(Account from)` Set the remote object reference of from
`void` | `setMemo(java.lang.String memo)` Set the value of memo
`void` | `setTo(Account to)` Set the remote object reference of to
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [AccountEntry] <*>------> [String] (Primary Key)

### booked

    public java.sql.Date booked

                        booked
       [AccountEntry] <*>------> [java.sql.Date]

### charged

    public java.sql.Date charged

                        charged
       [AccountEntry] <*>------> [java.sql.Date]

### memo

    public java.lang.String memo

                        memo
       [AccountEntry] <*>------> [String]

### amount

    public Quantity amount

                        amount
       [AccountEntry] <*>------> [theory.smart.axiom.units.Quantity]

### from

    public SmartHandle from

                        from
       [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

### to

    public SmartHandle to

                        to
       [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

Constructor Detail

### AccountEntryImpl

    public AccountEntryImpl()
                     throws CreateException

Method Detail

### getAccountEntryByValue

    public AccountEntryValue getAccountEntryByValue()
                                             throws java.rmi.RemoteException

  Get all of AccountEntry's attributes.
  Returns:
    AccountEntryValue the AccountEntry value object

### setAccountEntryByValue

    public void setAccountEntryByValue(AccountEntryValue value)
                                throws java.rmi.RemoteException

  Set all of AccountEntry's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `AccountEntryValue` - the AccountEntry value object

### ejbCreate

    public AccountEntryPk ejbCreate(AccountEntryPk accountEntryPk)
                             throws CreateException,
                                    java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(AccountEntryPk accountEntryPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(AccountEntryPk accountEntryPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public AccountEntryPk ejbFindByPrimaryKey(AccountEntryPk pk)
                                       throws FinderException,
                                              java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getBooked

    public java.sql.Date getBooked()
                            throws java.rmi.RemoteException

  Get the value of booked
  Returns:
    booked.

### setBooked

    public void setBooked(java.sql.Date booked)
                   throws java.rmi.RemoteException

  Set the value of booked
  Parameters:
    `booked` - booked to be added

### getCharged

    public java.sql.Date getCharged()
                             throws java.rmi.RemoteException

  Get the value of charged
  Returns:
    charged.

### setCharged

    public void setCharged(java.sql.Date charged)
                    throws java.rmi.RemoteException

  Set the value of charged
  Parameters:
    `charged` - charged to be added

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

### getMemo

    public java.lang.String getMemo()
                             throws java.rmi.RemoteException

  Get the value of memo
  Returns:
    memo.

### setMemo

    public void setMemo(java.lang.String memo)
                 throws java.rmi.RemoteException

  Set the value of memo
  Parameters:
    `memo` - memo to be added

### getAmount

    public Quantity getAmount()
                       throws java.rmi.RemoteException

  Get the value of amount
  Returns:
    amount.

### setAmount

    public void setAmount(Quantity amount)
                   throws java.rmi.RemoteException

  Set the value of amount
  Parameters:
    `amount` - amount to be added

### getFrom

    public Account getFrom()
                    throws java.rmi.RemoteException

  Get the remote object reference of from
  Returns:
    from.

### setFrom

    public void setFrom(Account from)
                 throws java.rmi.RemoteException

  Set the remote object reference of from
  Parameters:
    `froms` - from to be added

### getTo

    public Account getTo()
                  throws java.rmi.RemoteException

  Get the remote object reference of to
  Returns:
    to.

### setTo

    public void setTo(Account to)
               throws java.rmi.RemoteException

  Set the remote object reference of to
  Parameters:
    `tos` - to to be added

### charge

    public void charge()
                throws java.rmi.RemoteException

  Note that at the current date and time the transaction was completed.

### charge

    public void charge(java.sql.Date date)
                throws java.rmi.RemoteException

  Note that at the specified date and time the transaction was completed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.